Vagrant.configure("2") do |config|
	config.vm.box_url = "file://" + File.dirname(__FILE__) + "/dist/arch-desktop.box"
	config.vm.box = "arch-desktop"
	config.vm.boot_timeout = 1
	config.vm.graceful_halt_timeout = 1
	config.vm.synced_folder '.', '/vagrant', disabled: true
	config.ssh.insert_key = false
	config.vm.provider "virtualbox" do |v|
		v.gui = true
		v.memory = 2048
		v.cpus = 2
		v.customize ["modifyvm", :id, "--firmware", "efi"]
		v.customize ["modifyvm", :id, "--vram", "128"]
		v.customize ["modifyvm", :id, "--ioapic", "on"]
		v.customize ["modifyvm", :id, "--hwvirtex", "on"]
		v.customize ["modifyvm", :id, "--accelerate3d", "on"]
		v.customize ["modifyvm", :id, "--clipboard", "bidirectional"]
		v.customize ["storageattach", :id, "--storagectl", "SATA Controller", "--port", 1, "--device", 0, "--type", "dvddrive", "--medium", "emptydrive"]
		if RUBY_PLATFORM =~ /darwin/
			v.customize ["modifyvm", :id, '--audio', 'coreaudio', '--audiocontroller', 'hda']
		elsif RUBY_PLATFORM =~ /mingw|mswin|bccwin|cygwin|emx/
			v.customize ["modifyvm", :id, '--audio', 'dsound', '--audiocontroller', 'ac97']
		end
	end
end
